Back to reference
GET/merchant-wallets/{merchantId}/overview
Merchant wallets

Merchant wallet overview

Returns merchant wallets and aggregated branch balances.

Access tiermerchantRate limit60/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/Modules/LuxPayIdentity/Http/Controllers/Api/MerchantWalletApiController.php::overviewLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
merchantIdpath
integerRequired

Merchant/business identifier.

Example: 10101

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/merchant-wallets/10101/overview' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

Responses

200Successful response.
status
boolean
Example: true
data
object
{
  "status": true,
  "data": {
    "merchant_id": 1,
    "wallets": [
      {
        "id": 42,
        "uuid": "6ee4b4a8-9f8d-4f18-a586-b32c4593b094",
        "owner_type": "customer",
        "owner_id": 2201,
        "wallet_type": "primary",
        "status": "active",
        "currency_code": "YER",
        "account_number": "C-YER-00000042",
        "cached_balance": 5000,
        "cached_pending_balance": 0,
        "cached_held_balance": 500,
        "business_id": 10101,
        "branch_id": 7,
        "balance_verified_at": "2026-07-16T12:00:00Z",
        "meta": {},
        "created_at": "2026-07-16T12:00:00Z",
        "updated_at": "2026-07-16T12:00:00Z"
      }
    ],
    "branches": [
      {
        "branch_id": 1,
        "balance": 1,
        "currency_code": "string"
      }
    ]
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection